ru.bitel.bgbilling.modules.reports.server.bean

## Class BGReportFilter

- java.lang.Object
- - ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter
  - - ru.bitel.bgbilling.modules.reports.server.bean.BGReportFilter

- Deprecated.

      @Deprecated
      public class BGReportFilter
      extends ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BGReportFilter(java.util.Map<java.lang.String,java.lang.Object> parameterMap, int userId)` Deprecated.
    `BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter, Preferences setup, int userId)` Deprecated.
    `BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,java.lang.Object> parameterMap, int userId)` Deprecated.
    `BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,java.lang.Object> parameterMap, net.sf.jasperreports.engine.JRDataset dataset, int userId)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter

      `cacheGet, cachePut, getCalendarParam, getDataset, getDateParam, getHashValuesWithPrefix, getIntParam, getIntParam, getLongParam, getLongParam, getReportParametersMap, getStringParam, getUserId, setCalendarParam, setStringParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BGReportFilter

          @Deprecated
          public BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter,
                                            Preferences setup,
                                            int userId)

      Deprecated.
      Конструктор
      Parameters:
        `filter` - - фильтр
        `setup` - - настройки модуля

    - #### BGReportFilter

          @Deprecated
          public BGReportFilter(java.util.Map<java.lang.String,java.lang.Object> parameterMap,
                                            int userId)

      Deprecated.
      Конструктор
      Parameters:
        `parameterMap` - - мап параметров, которые могут быть использованы для построения отчета

    - #### BGReportFilter

          @Deprecated
          public BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter,
                                            Preferences setup,
                                            java.util.Map<java.lang.String,java.lang.Object> parameterMap,
                                            int userId)

      Deprecated.
      Конструктор
      Parameters:
        `filter` - - фильтр
        `setup` - - настройки модуля, которые могут быть использованы для построения отчета
        `parameterMap` - - мап параметров

    - #### BGReportFilter

          @Deprecated
          public BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter,
                                            Preferences setup,
                                            java.util.Map<java.lang.String,java.lang.Object> parameterMap,
                                            net.sf.jasperreports.engine.JRDataset dataset,
                                            int userId)

      Deprecated.
      Конструктор
      Parameters:
        `filter` - - фильтр
        `setup` - - настройки модуля
        `parameterMap` - - мап параметром, которые могут быть использованы для построения отчета
        `dataset` - - интерфейс, представляющий набор данных, который может использоваться в отчете.